'use strict';

var CreditoPeriodoController = angular.module('CreditoPeriodoController', []);

CreditoPeriodoController.controller('CreditoPeriodoCtrl', ['$scope', '$filter', 'Relatorio', 'CacheApp',
  ($scope, $filter, Relatorio, CacheApp) => {

    $scope.construcao = CacheApp.getConstrucao();
    $scope.assinatura = true;
    $scope.descricaoObra = true;

    $scope.relatorio = {};
    $scope.relatorio.DataInicio = CacheApp.getData($scope.construcao.DataInicio ? $filter("date")($scope.construcao.DataInicio, 'yyyy-MM-ddT00:00:00Z') : $filter("date")(Date.now(), 'yyyy-MM-ddT00:00:00Z'));
    $scope.relatorio.DataFim = CacheApp.getData($scope.construcao.DataFim ? $filter("date")($scope.construcao.DataFim, 'yyyy-MM-ddT00:00:00Z') : $filter("date")(Date.now(), 'yyyy-MM-ddT00:00:00Z'));

    $scope.ListaTipo = [
        {Id: 18, Descricao: 'A Receber'},
        {Id: 40, Descricao: 'Recebidas'}
    ];

    $scope.TipoSelecionada = {Id: 18, Descricao: 'A Receber'};

    $scope.getRelatorioCreditoPeriodo = () => {
        $scope.CreditoPeriodo = {};
        Relatorio.getRelatorioCreditoPeriodo($scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'), $scope.TipoSelecionada.Id,
            (data) => {
                $scope.CreditoPeriodo = data.Instance;
            });
    }
    $scope.getRelatorioCreditoPeriodo();

    $scope.pdfCreditoPeriodo = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.relatorio.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.relatorio.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        if ($scope.assinatura == true) {
            cabecalho.Responsavel = $scope.construcao.Contato
        };
        if ($scope.descricaoObra == true) {
            cabecalho.DescricaoObra = $scope.construcao.Descricao
        };

        Relatorio.pdfRelatorioCreditoPeriodo($scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'), $scope.TipoSelecionada.Id, cabecalho,
            (data) => {
                window.location.assign(data.Instance);
            });
    }

    $scope.xlsCreditoPeriodo = () => {
    var cabecalho = {
        Avatar: $scope.construcao.ContaAvatar,
        Obra: $scope.construcao.Titulo,
        Conta: $scope.construcao.Conta,
        DataInicio: $filter("date")($scope.relatorio.DataInicio, 'dd/MM/yyyy'),
        DataFim: $filter("date")($scope.relatorio.DataFim, 'dd/MM/yyyy'),
        Moeda: $scope.construcao.Moeda
    };

    Relatorio.xlsRelatorioCreditoPeriodo($scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'), $scope.TipoSelecionada.Id, cabecalho,
        (data) => {
            window.location.assign(data.Instance);
        });
    }
}]);
